"""
functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-313/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b6053f1a0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b6053f240>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b6053f2e0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b6053f380>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b6053f420>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b6053f4c0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b6053f560>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b6053f600>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b6053f6a0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b6053f740>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b6053f7e0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b6053f880>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b6053f920>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b6053f9c0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b6053fa60>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b6053fb00>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b6053fba0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b6053fc40>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b6053fce0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b6053fd80>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b6053fe20>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b6053fec0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b6053ff60>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60590040>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b605900e0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60590180>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60590220>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b605902c0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60590360>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60590400>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b605904a0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60590540>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b605905e0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60590680>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60590720>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b605907c0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60590860>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60590900>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b605909a0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60590a40>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60590ae0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60590b80>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60590c20>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60590cc0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60590d60>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60590e00>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60590ea0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60590f40>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60590fe0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60591080>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60591120>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b605911c0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60591260>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60591300>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b605913a0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60591440>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b605914e0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60591580>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60591620>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b605916c0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60591760>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60591800>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b605918a0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60591940>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b605919e0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60591a80>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60591b20>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60591bc0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60591c60>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60591d00>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60591da0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60591e40>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60591ee0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60591f80>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60592020>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b605920c0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60592160>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60592200>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b605922a0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60592340>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60592480>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b605923e0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60592520>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b605925c0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f9b60592660>)]
name: str = 'fr_HOCCN'
